Skip to main content
GET
Get file by ID.

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

fileId
string<uuid>
required

Identifier of the file resource in Payrails.

Response

Success.

id
string<uuid>
required

File ID of the uploaded file.

status
enum<string>
required

Current processing status of the file.

Available options:
LinkCreated,
LinkExpired,
Processing,
Available,
Imported,
ImportedWithErrors,
Failed
datasetType
enum<string>
required

Dataset type.

Available options:
transactions,
transactionsV1,
ordersV1,
checkout.reports.financial_actions_by_daterange,
checkout.reports.payments,
checkout.reports.authentication,
adyen.reports.payments_accounting,
adyen.reports.received_payments
progress
integer
required

Percentage of rows processed (0-100).

Required range: 0 <= x <= 100
uploadURL
string

Presigned URL to upload the file. Present only when status is LinkCreated.

uploadURLExpiresAt
string<date-time>

Expiration time for uploadURL. Present only when status is LinkCreated.

totalErrors
integer

Total number of errors during processing.

errors
object[]

List of errors encountered while validating or processing the file.

Last modified on October 7, 2026